Permalink
Commits on Jun 21, 2015
  1. Fix Travis on JRuby-HEAD using explicit opts

    bf4 committed Jun 21, 2015
    See https://travis-ci.org/troessner/reek/jobs/67756300#L297-L307
    
    This is really only an issue on JRUBY-HEAD where cext.enabled property no longer exists.
    
    ```ruby
    expected: ""
         got: "jruby: warning: unknown property jruby.cext.enabled\njruby: warning: unknown property jruby.cext.enabled\njruby: warning: unknown property jruby.cext.enabled\njruby: warning: unknown property jruby.cext.enabled\n"
    (compared using ==)
    Diff:
    @@ -1 +1,5 @@
    +jruby: warning: unknown property jruby.cext.enabled
    +jruby: warning: unknown property jruby.cext.enabled
    +jruby: warning: unknown property jruby.cext.enabled
    +jruby: warning: unknown property jruby.cext.enabled
     (RSpec::Expectations::ExpectationNotMetError)
    ./features/step_definitions/reek_steps.rb:58:in `/^it reports no errors$/'
    features/configuration_loading.feature:29:in `Then it reports no errors'
    ```
    
    ref: rspec/rspec-dev#115
    
    ```ru
Commits on Apr 2, 2014
  1. Merge pull request #258 from troessner/rainbow_dep

    bf4 committed Apr 2, 2014
    Specify required Rainbow version as >= 1.99
  2. Specify required Rainbow version as >= 1.99

    bf4 committed Apr 2, 2014
Commits on Dec 16, 2013
  1. Remove from gemspec development deps not required to run tests

    bf4 committed Dec 16, 2013
    per discussion in #226
    
    The gems moved into the Gemfile group :local_development may be
    used while developing the gem, but are not required for running tests.
    
    Now, one can run the tests without installing all the development gems with
      bundle --without local_development
      bundle exec rake
    
    The choice of 'local_development' has to do with how Bundler brings
    evaulates the gemspec development dependencies as both development
    and test dependencies.
    
    Also, make explicit the command to run tests on Travis CI
Commits on Aug 21, 2013
  1. Loosen ruby_parser version dependency

    bf4 committed Aug 21, 2013